#pragma once

#include "Zeichnung.h"

namespace Framework
{
    class Slider : public ZeichnungHintergrund
    {
    private:
        float value;

    public:
        DLLEXPORT Slider();
        DLLEXPORT ~Slider();
        DLLEXPORT void setValue(float value);
        DLLEXPORT float getValue() const;
        //! Verarbeitet ein Maus Ereignis. Wird vom Framework automatisch
        //! aufgerufen. \param me Das Ereignis
        DLLEXPORT void doMausEreignis(MausEreignis& me, bool userRet) override;
        //! Zeichnet die Zeihnung in ein bestimmtes Bild
        //! \param zRObj Das Bild, in das gezeichnet werden soll
        DLLEXPORT void render(Bild& zRObj) override;
    };
} // namespace Framework